> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypulse.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice



## OpenAPI

````yaml GET /api/v1/invoices/{invoice_id}
openapi: 3.1.0
info:
  title: Paypulse
  description: Subscription billing platform with Nomba payment integration
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/invoices/{invoice_id}:
    get:
      tags:
        - invoices
      summary: Get Invoice
      operationId: get_invoice_api_v1_invoices__invoice_id__get
      parameters:
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            title: Invoice Id
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InvoiceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        customer_email:
          type: string
          title: Customer Email
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        due_date:
          type: string
          format: date-time
          title: Due Date
        paid_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid At
        refund_amount:
          type: number
          title: Refund Amount
        refund_status:
          type: string
          title: Refund Status
        refund_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Refund Reason
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - customer_email
        - amount
        - currency
        - status
        - due_date
        - paid_at
        - refund_amount
        - refund_status
        - refund_reason
        - created_at
      title: InvoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````